<?php

  $unique_blogger_color_palette_css = '';

	// Global Color

	$unique_blogger_first_color = unique_blogger_get_option('unique_blogger_first_color');

	if($unique_blogger_first_color != false){
		$unique_blogger_color_palette_css .=':root {';
			$unique_blogger_color_palette_css .='--primary-color: '.esc_attr($unique_blogger_first_color).'!important;';
		$unique_blogger_color_palette_css .='}';
	}

  /*-------------- Copyright Text Align-------------------*/

	$unique_blogger_copyright_text_align = unique_blogger_get_option('unique_blogger_copyright_text_align');
	$unique_blogger_color_palette_css .='.site-footer{';
	$unique_blogger_color_palette_css .='text-align: '.esc_attr($unique_blogger_copyright_text_align).' !important;';
	$unique_blogger_color_palette_css .='}';
	$unique_blogger_color_palette_css .='
	@media screen and (max-width:575px) {
	.site-footer{';
	$unique_blogger_color_palette_css .='text-align: center !important;';
	$unique_blogger_color_palette_css .='} }';

  // copyright font size
	$unique_blogger_copyright_text_font_size = unique_blogger_get_option('unique_blogger_copyright_text_font_size');
	$unique_blogger_color_palette_css .='#colophon p, #colophon a , #colophon{';
	$unique_blogger_color_palette_css .='font-size: '.esc_attr($unique_blogger_copyright_text_font_size).'px;';
	$unique_blogger_color_palette_css .='}';

	// Copyright Background Color
	$unique_blogger_copyright_background_color = unique_blogger_get_option('unique_blogger_copyright_background_color');
	$unique_blogger_color_palette_css .='#colophon {';
	$unique_blogger_color_palette_css .='background: '.esc_attr($unique_blogger_copyright_background_color);
	$unique_blogger_color_palette_css .='}';

	// Copyright Text Color
	$unique_blogger_copyright_text_color = unique_blogger_get_option('unique_blogger_copyright_text_color');
	$unique_blogger_color_palette_css .='#colophon a , #colophon{';
	$unique_blogger_color_palette_css .='color: '.esc_attr($unique_blogger_copyright_text_color);
	$unique_blogger_color_palette_css .='}';


	// Site title And tagline Option
	$unique_blogger_site_title_font_size = unique_blogger_get_option('unique_blogger_site_title_font_size');
	$unique_blogger_site_title_color = unique_blogger_get_option('unique_blogger_site_title_color');
	$unique_blogger_color_palette_css .='.site-title>a , .site-title {';
		$unique_blogger_color_palette_css .='font-size: '.esc_attr($unique_blogger_site_title_font_size).'px;';
		$unique_blogger_color_palette_css .='color: '.esc_attr($unique_blogger_site_title_color).';';
	$unique_blogger_color_palette_css .='}';

	
	$unique_blogger_site_tagline_font_size = unique_blogger_get_option('unique_blogger_site_tagline_font_size');
	if($unique_blogger_site_tagline_font_size != false){
		$unique_blogger_color_palette_css .='.site-description {';
			$unique_blogger_color_palette_css .='font-size: '.esc_attr($unique_blogger_site_tagline_font_size).'px;';
		$unique_blogger_color_palette_css .='}';
	}